// 纯文本title，图文title
function editPureTextTitleName(dataID,title,str) {
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').find('.aum-p').html(title);
        $("[dataId*="+dataID+"]").find('.message_preview').find('.preview_content').html(str);
}
// 图文
function edituploadImage(dataID,title,img,str) {
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').find('.aum-p').html(title);
        $("[dataId*="+dataID+"]").find('.message_preview').find('.image1').attr('src',img);
        $("[dataId*="+dataID+"]").find('.message_preview').find('.image1').css({width:'318px',height:'100px'});
        $("[dataId*="+dataID+"]").find('.message_preview').find('.preview_content').html(str)
}
// 图集
var cur=0;var timer = null;
function editlunbo(){
    console.log('jijlai ')
    var mySwiper = new Swiper('.swiper-container',{
        autoplay: {
            delay: 2500,
            disableOnInteraction: false,
        },
    });
}
function edituploadImageAtlas(dataID,pictureList) {
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        for (var u = 0;u < pictureList.length; u++) {
            $("[dataId*=" + dataID + "]").find('.message_preview').find('.aum-p').html(pictureList[u].title);
            $("[dataId*=" + dataID + "]").find('.message_preview').find('.banner_img').find('.swiper-wrapper').append(`<div index-data="${u}" class="swiper-slide"><img src="${pictureList[u].imageUrl}" alt=""></div>`);
            editlunbo()
        }
}
// 文件

function edituploadFile(dataID,fileArray) {
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
    for (var u = 0;u < fileArray.length; u++) {
        $("[dataId*=" + dataID + "]").find('.message_preview').find('.aum-p').html(fileArray[u].title);
        $("[dataId*="+dataID+"]").find('.message_preview').find('.fileItem').append(`<li class="li_list empty" index-data="${u}"><p class="list_name" style="font-weight: 300">${fileArray[u].fileName}</p></li>`);
    }

}
// 链接
// 链接和内容回显
function editlinkFun(dataID,linkArray) {
    for (var u = 0;u < linkArray.length; u++) {
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').find(".links").append(`<li class="li_list" index-data="${u}">
            <p class="list_name preview-p" style="font-weight: normal">${linkArray[u].linkName}</p>
            <span class="field_type preview-p link_url">${linkArray[u].linkUrl}</span>
        </li>`);
    }
}
// 视频
function editaddVideo(dataID,videoUrl) {
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').find('.videoItem video>source').attr("src",videoUrl);
}
// 设备铭牌
function editDevice(dataID,DeviceArray) {
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
    for (var u = 0;u < DeviceArray.length; u++) {
        $("[dataId*=" + dataID + "]").find('.message_preview').find('.deviceItem').append(
            `<li class="li_list" index-data="${u}">
            <p class="list_name preview-p" style="font-weight: normal">${DeviceArray[u].paramName}</p>
            <span class="field_type preview-p link_url">${DeviceArray[u].paramContent}</span>
        </li>`);
    }
}
